[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGList.Sort

Sort the list

## Declaration

Source position: fgl.pp line 159

`public procedure TFPGList.Sort(`
`Compare: TCompareFunc`
`);`

## Arguments

`Compare` |  | Compare function for 2 items

## Description

Sort sorts the elements in the list using the provided Compare function. The list passes 2 items to the compare function. The result of this function determines how the items will be sorted:

- If the result of this function is negative, the first item (Item1) is assumed to be 'less' than the second item (Item2) and will be moved before the second in the list.
- If the function result is positive, the first item (Item1) is assumed to be 'greater than' the second item (Item2)and will be moved after the second in the list.
- if the function result is zero, the items are assumed to be 'equal' and no moving will take place.